Package net.shibboleth.profile.module

# Interface Module.ModuleResource

All Known Implementing Classes:
  `AbstractModule.BasicModuleResource`

Enclosing interface:
  Module

public static interface Module.ModuleResource
Interface to a resource managed by the module.

## Method Summary

Modifier and Type
Method
Description
`Path`
`getDestination()`
Gets the destination for the resource.
`String`
`getSource()`
Gets the source location of the resource.
`boolean`
`isExecutable()`
Gets whether the resource should be marked executable where applicable.
`boolean`
`isNonWindows()`
Gets whether the resource should be processed on non-Windows platforms.
`boolean`
`isOptional()`
Gets whether the resource, if missing, should not act as a module-disabled signal.
`boolean`
`isReplace()`
Gets whether the resource should be config(replace) or config(noreplace) in RPM specfile parlance.
`boolean`
`isWindows()`
Gets whether the resource should be processed on Windows.

## Method Details

### getSource

@Nonnull String getSource()
Gets the source location of the resource.

This may be a URL or a local path that will be assumed a classpath.

Returns:
  source location

### getDestination

@Nonnull Path getDestination()
Gets the destination for the resource.

Returns:
  destination path

### isReplace

boolean isReplace()
Gets whether the resource should be config(replace) or config(noreplace) in RPM specfile parlance.

Returns:
  true iff the resource should be replaced with the original preserved

### isOptional

boolean isOptional()
Gets whether the resource, if missing, should not act as a module-disabled signal.

Returns:
  true iff the resource may be removed by a deployer without disabling the module

### isExecutable

boolean isExecutable()
Gets whether the resource should be marked executable where applicable.

Returns:
  true iff the resource should be marked executable

### isWindows

boolean isWindows()
Gets whether the resource should be processed on Windows.

Returns:
  true iff the resource should be processed on Windows

### isNonWindows

boolean isNonWindows()
Gets whether the resource should be processed on non-Windows platforms.

Returns:
  true iff the resource should be processed on non-Windows platforms